s="essam@designs2solutions.com"
WScript.Echo( "Adres \'" + s + 
  "\' jest " + 
  (isValidEmail(s) ? "" : "nie")  + 
  "poprawny");
s="essam@designs2solutions"
WScript.Echo( "Adres " + s + 
  " jest " + 
  (isValidEmail(s) ? "" : "nie")  + 
  "poprawny");

function isValidEmail(addr)
{
  re = new RegExp(/\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/);
  return (!(re.exec(addr)==null));
}
